/***************************************************************************
 *   Copyright (C) 2003 by Norman Jordan                                   *
 *   njordan@shaw.ca                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef __BROWSER_UTILS_H__
#define __BROWSER_UTILS_H__

#include <X11/X.h>
#include <X11/Xlib.h>

typedef struct query_target {
  char * name;
  char * pre;
  char * post;
} query_target_type;

extern query_target_type query_targets[];

extern gint num_search_engines;

/*
 * Returns the saved window id Mozilla.  If no window id set,
 *  call GetWindow to attempt to find one.
 */
Window FindMozWin();

/*
 * Find a Mozilla window.  If none available, return None.
 */
Window SearchForMozWindow(Display *dpy);

/*
 * See if the given window is a Mozilla window by looking for the
 * XA_MOZILLA_VERSION property
 */
int Check4Moz(Display *dpy, Window win);

/*
 * Participate in the Mozilla locking protocol so commands don't collide
 */
int GetLock(Display *dpy, Window win);

void ReleaseLock(Display *dpy, Window win);

/*
 * Send a command to the Mozilla window we found previously
 */
int SendCommand(Window win, const char *command);

/*
 * Trap error, but ignore it.
 */
int ErrorHandler(Display *dpy, XErrorEvent *event);

void InitAtoms();

int URLSelection(char *prefix, char *select, int NewWin, int raise);

/*
 * Send selection to the search engine as a query.
 */
int Search4Selection(char *select, int NewWin, int raise);

#endif
