/***************************************************************************
 *   Copyright (C) 2003 by Norman Jordan                                   *
 *   njordan@shaw.ca                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef __CONFIGURATION_H__
#define __CONFIGURATION_H__

#include <glib.h>
#include <gconf/gconf-client.h>
#include <libgnomeui/libgnomeui.h>

extern GConfClient *gconf_client;

gboolean initialize_configuration();

void web_browser_changed(GtkOptionMenu *menu, gpointer data);

gboolean browser_path_text_updated(GtkWidget *entry, GdkEventFocus *event, gpointer data);

void browser_path_browse_done(GnomeFileEntry *entry, gpointer data);

void search_engine_changed(GtkOptionMenu *menu, gpointer data);

void open_in_changed(GtkOptionMenu *menu, gpointer data);

void open_browser_changed(GtkOptionMenu *menu, gpointer data);

void open_url_changed(GtkOptionMenu *menu, gpointer data);

void search_changed(GtkOptionMenu *menu, gpointer data);

gboolean normal_icon_path_text_updated(GtkWidget *entry, GdkEventFocus *event, gpointer data);

void normal_icon_path_browse_done(GnomeFileEntry *entry, gpointer data);

gboolean negative_icon_path_text_updated(GtkWidget *entry, GdkEventFocus *event, gpointer data);

void negative_icon_path_browse_done(GnomeFileEntry *entry, gpointer data);

void update_changed_settings();

#endif
